<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Helper\General;
use App\Models\Blog;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use DB;
use App\Models\BlogCategory;

class BlogCategoryController extends Controller
{
    public function index()
    {
        return view('admin/blog_category/index');
    }

    public function list(Request $request){
		return response()->json((new BlogCategory())->listAdmin($request->all(), auth()->id()));
	}

    public function create()
    {
        return view('admin/blog_category/create');
    }

    public function update(Request $request)
    {
        $id = $request->id;
        $blogcat = BlogCategory::where('id', $id)->first();
        return view('admin/blog_category/update', compact('blogcat'));
    }

    public function save(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'category' => 'required'
        ]);
        if ($validator->fails()) {
            return response()->json(['status' => 0, 'message' => $this->general->getError($validator)]);
        }
        if ($validator) {
            if ($request->id) {
                $blofcatobj = BlogCategory::where('id', $request->id)->first();
            } else {
                $blofcatobj = new BlogCategory();
            }
            $blofcatobj->category = $request['category'];
            $blofcatobj->status = $request['status'];
            $blofcatobj->save();
            if ($request->id) {
                return response()->json(['status' => 1, 'message' => 'Blogcategory Updated successfully', 'next' => 'admin/blog_category/index']);
            }
            return response()->json(['status' => 1, 'message' => 'Blogcategory created successfully', 'next' => 'admin/blog_category/index']);
        } else {
            return response()->json($validationResult);
        }
    }

    public function delete(Request $request)
    {
        $validationResult = (new General())->validate($request->all(), [
            'id' =>  'required',
        ]);
        if (!$validationResult['status']) {
            return response(['status' => 0, 'message' => 'Somthing went worng.']);
        }
        $blogcatModel = BlogCategory::find($request->id);
        $blogcatModel->delete();
        return response(['status' => 1, 'message' => 'Blogcategory deleted successfully.', 'next' => 'admin/blog_category/index']);
    }

}
