<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Support\Facades\Validator;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Page;

class PageController extends Controller
{
    public function index()
    {
        return view('admin/page/index');
    }

    public function list(Request $request)
    {
        return response()->json((new Page())->listAdmin($request->all()));
    }
    public function update(Request $request)
    {
        $model = Page::findOrFail($request->input('id'));
        return view('admin/page/update', compact('model'));
    }
    public function save(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'title' => 'required',
            'body' => 'required',
        ]);
        if ($validator->fails()) {
            return response()->json(['status' => 0, 'message' => $this->general->getError($validator)]);
        }
        $model = Page::find($request->id);

        // $model = new Page();
        $model->title = $request['title'];
        $slug = $this->general->slugify($model->title);
        $model->title = $request['title'];
        $model->body = $request['body'];
        $model->slug = $slug;
        $model->save();
        return redirect('admin/page')->with('success', 'data saved successfully');
    }
}
