<?php namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Middleware\AdminAuth;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Http\Requests;
use Illuminate\Http\Response;
use App\Models\Admin;
use App\Models\Blog_review;
use App\Helper\General;
use App\Helper\Pagination;
use Session;
use Redirect;
use DB;

class ReviewController extends Controller
{
    public function index()
    {
    return view('admin/review/index');
    }
    
    public function list(Request $request){
        $result=[];
        $query=[];
        $query['limit']=10;
        $query['offset']=0;

        $query['select']=" blog_review.*, user.first_name as fname , user.last_name as lname,blog.title as blog_name,blog_review.id as id,blog_review.description as reviewDescription";
        $query['query']=" from blog_review left join user on user.id=blog_review.user_id 
                          left join blog on blog.id=blog_review.blog_id ";
        $query['queryParams']=[];
        /**/
        $result['searchText']=isset($_GET['search']['value']) ? $_GET['search']['value']: '';
        if(strlen($result['searchText'])>2){
            $result['searchText']='%'.$result['searchText'].'%';
            $query['queryParams'][]=$result['searchText'];
            $query['queryParams'][]=$result['searchText'];
            $query['query'].=" where (blog.title like ? "
                . "or CONCAT(user.first_name,' ',user.last_name) like ? )";
        }
        /**/
        
        $result=(new Pagination())->getPagination($query);
        // dd($result);
        
        
        foreach($result['data'] as $key=>$row){
           
            $result['data'][$key]->name = $row->fname .' '. $row->lname;
            $result['data'][$key]->created_at =  date('Y-m-d',$row->created_at);
            $result['data'][$key]->action='<a href="admin/review/view?id='.$row->id.'" class="btn btn-info btn-sm" title="View"><i class="fa fa-eye"></i></a>&nbsp;<a href="admin/review/update?id='.$row->id.'" class="btn btn-info btn-sm" title="Update"><i class="fa fa-edit"></i></a>&nbsp;<button onclick="app.confirmAction(this);" data-action="admin/review/delete" data-id="'.$row->id.'" class="btn btn-danger btn-sm" title="Delete"><i class="fa fa-trash"></i></button>';
        }
            	return response()->json($result);

    }
    
  
    
    public function update(Request $request)
    {   
        $id=$request->id;
        $review = Blog_review::where('id', $id)->first();
        $reviewobj = new Blog_review();
        return view('admin/review/update',compact('review'));
    }
    
    public function save(Request $request)
    {
        $validationResult =(new General())->validate($request->all(),[
			'description' => 'required',
			'rating' => 'required',
		]);
		
		if(!$validationResult['status']){
		    return response()->json($validationResult);
		}
    	
		$id=$request->id;
        if($id){
            $user=Blog_review::find($id);
        }else{
            $user=new Blog_review();
            $user->created_at=time();
        }
		$user->description = $request['description'];
		$user->rating = $request['rating'];
		$user->save();
		
		if($id){
		return response()->json(['status'=>1,'message'=>'Review updated successfully','next' => 'admin/review/index']);
		}else
		return response()->json(['status'=>1,'message'=>'Review created successfully','next' => 'admin/review/index']);
    }
    
    public function view(Request $request)
    {
        $id=  $request->id;
        $review = Blog_review::where('id', $id)->first();
        return view('admin/review/view',compact('review'));
    }
    
    public function delete(Request $request)
   {
        $validationResult =(new General())->validate($request->all(),[
			'id'=>  'required',
		]);
		if(!$validationResult['status']){
		    return response(['status'=>0,'message'=>'Somthing went worng.']);
		}
		$review = Blog_review::find($request->id);
		if($review){
		    $review->delete();
		    return response(['status'=>1,'message'=>'Deleted successfully.','next'=>'refresh']);
		}
   }
   
   
}