<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;
use App\Models\BlogCategory;
use App\Models\Blog;
use App\Helper\Pagination;


class BlogController extends Controller
{
    public function index(Request $request)
    {
        $search = $request->s;
        $getCategory = $request->category;

        $catId = '';
        if ($getCategory) {
            $catId = BlogCategory::where('category', $getCategory)->first();
        }
        $tag = $request->tags;
        $limit = 2;
        // $topArticle = DB::select('select blog.*, AVG(blog_review.rating) as avg_rating from `blog_review` join blog on blog.id = blog_review.blog_id group by blog.id ORDER by AVG(blog_review.rating) desc limit 2');

        $category = BlogCategory::All();
        $blogtag = Blog::All();
        $topArticle=[];
        
        
        return view('blogs/index', compact('category', 'limit', 'blogtag','topArticle'));
    }

    public function list(Request $request)
    {
        return view('blogs/list', ['bloglist' => (new Blog())->list($request->all())]);
    }

    public function view($slug)
	{
		$user = auth()->user();
		$blog = Blog::where('slug', $slug)->first();
		$maxId = $blog->max('id');
		$minId = $blog->min('id');
		$id = $blog->id;

		$previous = Blog::where('id', '<', $id)->max('id');
		$previousname = Blog::where('id', $previous)->first();
		$next = Blog::where('id', '>', $id)->min('id');
		$nextname = Blog::where('id', $next)->first();
		
		$blogReviews =BlogReview::where('blog_id',$blog->id)->get();
		foreach ($blogReviews as $key =>$data){
		    	$userName =User::find($data->user_id);
		    $blogReviews[$key]['reviewUser'] =$userName->first_name.' '.$userName->last_name;
		}
		$blogReviewsCount = $blogReviews->count();
		return view('blog/view', compact('blog','blogReviewsCount', 'maxId','minId','id','previousname', 'nextname','blogReviews'));
	}
}
