<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Page;
use App\Helper\General;

class FrontController extends Controller
{
    public function index(){
        
        return view('front/index');
    }
    
    public function page(Request $request)
	{
	    $slug = $request->slug;
    	$pages = Page::where('slug',$slug)->first();
        $title = $pages->title;
	   	$body = $pages->body;
		return view('front/page',compact('pages','title','body'));
	}
    
    public function privacypolicy()
    {
        return view('front/privacypolicy');
    }
    public function termscondition()
    {
        return view('front/termscondition');
    }
    public function contact()
    {
        return view('front/contact');
    }
    public function Postcontact(Request $request)
	{
		if ($request->isMethod('post')) {
			$validationResult = (new General())->validate($request->all(), [
				'name' => 'required',
				'email' => 'required|email',
				'subject' => 'required',
				'message' => 'required',
			]);
			if ($validationResult['status']) {
				$contactdata = [
					'name' => $request->name,
					'email' => $request->email,
					'subject' => $request->subject,
					'message' => $request->message,
				];
				$this->general->sendMail($request->email, 'Contact data | ' . config('setting.app_name'), 'email/contact', $contactdata);
				 return response()->json(['status' => 1, 'message' => 'Submit Request Successfully', 'next' => 'refresh']);
			}else{
			      return response()->json(['status' => 0, 'message' => $validationResult['message']]);
			}
		}
	}   
}
