<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Response;

class AdminAuth
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @param string|null $guard
     * @return mixed
     */
    
    public function handle($request, Closure $next, $guard = null)
    {
        $auth =Auth::guard();
        if ($auth->guest()) {
            if (\Illuminate\Support\Facades\Request::ajax()) {
                return Response::make("unauthorized", 401);
            } else {
                return redirect('admin/site/login');
            }
        }else{
            $user=Auth::user();
            if(!$user->isAdmin()){
                return redirect('/');
            }
            if(session('verify_tfa')){
                return redirect('tfa/verify');
            }
        }
        
        return $next($request);
    }
}