<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Helper\Pagination;
use App\Helper\General;
use Illuminate\Support\Facades\DB;

class Blog extends Model
{
    protected $table = 'blog';
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $dateFormat = 'U';

    protected $fillable = [
       'slug','title','image','tags','description','status'
    ];

    function getStatus($status){
        if($status==0){
            $status='<span class="badge badge-warning">Draft</span>';
        }else {
            $status='<span class="badge badge-success">Published</span>';
        }
        return $status;
    }

    public function listAdmin($postData){
        $query=DB::table($this->table)->select('*');
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%';
            $query->where("title",'like',$searchText);
        }

        $result = (new Pagination())->getDataTable($query,$postData);
        foreach($result['data'] as $key=>$row)
        {
            $result['data'][$key]->created_at = date(config('setting.date_format'), $row->created_at);
            $result['data'][$key]->title=$row->title;
            $category = (new BlogCategory())::find($row->blog_category_id);
             
            $result['data'][$key]->blog_category_id=$category->category;
            $result['data'][$key]->image='<img width="100" hight="100" src="'. (new General())->getFileUrl($row->image, 3).'">';
            $result['data'][$key]->action='<a href="admin/blog/view?id='.$row->id.'"class="btn btn-info " title="View"><i class="fas fa-eye"></i></a>
            <a href="admin/blog/update?id='.$row->id.'" class="btn btn-info " title="Update"><i class="fa fa-edit"></i></a>
            <button Onclick="app.confirmAction(this);" data-action="admin/blog/delete" data-id="'.$row->id.'" class="btn btn-danger" title="Delete"><i class="fa fa-trash"></i></button>';
        }
        return $result;
    }

    public function list($postData){
        $query=DB::table($this->table)->select('*');//->where('status',1)
        $searchText = isset($postData['search']) ? $postData['search']: '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%' . $searchText . '%';
            $query->where("title",'like',$searchText);
        }
        return (new Pagination())->getData($query,$postData);
    }
   
}
