<?php

namespace App\Models;

use App\Helper\Pagination;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Cache;

class SeoMeta extends Model
{
    protected $table = 'seo_meta';
    public $timestamps = false;
    protected $fillable = ['url', 'title', 'keyword', 'description'];

    public function getMetaTags()
    {
        $currenturl = \Route::current()->getName();
        if (!$currenturl) {
            return '';
        }

        $cachedMeta = Cache::get('seo_meta_' . $currenturl);
        if ($cachedMeta) {
            return $cachedMeta;
        }

        $siteMeta = self::where('url', $currenturl)->first();
        $html = '';
        if ($siteMeta) {
            $html = '<title>' . $siteMeta->title . ' | ' . config('setting.app_name') . '</title>
            <meta name="keywords" content="' . $siteMeta->keyword . '">
            <meta name="description" content="' . $siteMeta->description . '">';
            Cache::put('seo_meta_' . $currenturl, $html, 86400);
        }
        return $html;
    }

    public function listAdmin($postData)
    {
        $query = DB::table($this->table);
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%';
            $query->where("title", 'like', $searchText);
        }
        $result = (new Pagination())->getDataTable($query, $postData);
        foreach ($result['data'] as $key => $row) {
            $result['data'][$key]->action = '<a href="page/' . $row->slug . '" class="btn btn-info noroute" title="View"><i class="fa fa-eye"></i></a>&nbsp;<a href="admin/page/update?id=' . $row->id . '" class="btn btn-info" title="Update"><i class="fa fa-edit"></i></a>';
        }
        return $result;
    }
    public function Seometalist($postData)
    {
        $query = DB::table('seo_meta')->select('*');
        /**/
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%';
            $searchText = '%' . $searchText . '%';
            $searchText = '%' . $searchText . '%';
            $query->where(DB::raw('title'), 'like', $searchText);
            $query->orWhere("seo_meta.keyword", 'like', $searchText);
            $query->orWhere("seo_meta.url", 'like', $searchText);
        }

        /**/
        $SeoMetaObj = new SeoMeta();
        $result = (new Pagination())->getDataTable($query, $postData);
        foreach ($result['data'] as $key => $row) {
            $result['data'][$key]->action = '<a href="admin/seo/update?id=' . $row->id . '" class="btn btn-info btn-sm" title="Update"><i class="fa fa-edit"></i></a>&nbsp;<button onclick="app.confirmAction(this);" data-action="admin/seo/delete" data-id="' . $row->id . '" class="btn btn-danger btn-sm" title="Delete"><i class="fa fa-trash"></i></button>';
        }
        return $result;
    }
}
