<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use \Illuminate\Support\Facades\Cache;

class Setting extends Model
{
    protected $table = 'setting';
    protected $primaryKey = 'id';
    public $timestamps = false;

    public function updateOne($key,$value)
    {
        $setting=self::where(['key'=>$key])->first();
        if($setting ){
            if($setting->value!=$value){
                $setting->value=$value;
                $setting->save();
            }
        }
    }

    public function updateAll($data){
        foreach($data as $key=>$value){
            $this->updateOne($key,$value);
        }
        Cache::put('setting',$this->allSettings(),86400);
    }

    public function clearCache(){
        Cache::put('setting',$this->allSettings(),86400);
    }

    public function allSettings(){
        $data=[];
        $options = self::all()->where('file','!=',null);
        if ($options) {
            foreach ($options as $row) {
                if($row['file']){
                    $data[$row['file'].'.'.$row['key']] = $row['value'];
                }
            }
        }
        return $data;
    }

    public function getAllSettings(){
        $data =Cache::get('setting');
        if($data){
            return $data;
        }
        $data=$this->allSettings();
        Cache::put('setting',$data,86400);
        return $data;
    }
}
