<?php
if (isset($_GET['partial']) && $_GET['partial']) {
    if (isset($_GET['layout']) && $_GET['layout'] == 'blank') {
?>
        <div id="main-content" data-title="@yield('title') | {{ Config::get('app.name') }}">
            @yield('content')
        </div>
    <?php } else {
        echo 'reload';
    }
} else { ?>
    <!DOCTYPE html>
    <html lang="{{ Config::get('app.locale') }}">

    <head>
        <meta charset="utf-8">
        <base href="{{URL::to('/');}}/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>@yield('title')</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="theme/plugins/fontawesome-free/css/all.min.css">
        <!-- Ionicons -->
        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- Theme style -->
        <link rel="stylesheet" href="theme/dist/css/adminlte.min.css">
        <!-- Google Font: Source Sans Pro -->
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <script>
            /*Global variables*/
            var datatableObj = false;
            var CSRF_TOKEN = "{{ Session::token() }}";
            var documentReadyFunctions = [];

            function documentReady(fn) {
                documentReadyFunctions.push(fn);
            }
        </script>
    </head>

    <body class="hold-transition login-page">
        <div id="main-container" data-layout="blank">
            <div id="main-content" data-title="<?= @$title; ?> | {{config('app.name')}}">
                @yield('content')
            </div>
        </div>

        <script src="theme/plugins/jquery/jquery.min.js"></script>
        <script src="theme/plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="theme/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="theme/dist/js/adminlte.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>

        <script src="assets/js/router.js"></script>
        <script src="assets/js/app.js"></script>

    </body>

    </html>
<?php } ?>