@extends('admin.layouts.main')
@section('title')
Log
@endsection
@section('content')
<section class="content-header">
    <div class="">
        <div class="row mb-2">
            <div class="col-sm-6 pl-0">
            <h1>Log</h1>
            </div>
            <div class="col-sm-6 pr-0">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Log</li>
            </ol>
            </div>
        </div>
    </div>
</section>

<div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
            Log
        </h3>
    </div>
    <div class="card-body">
        <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
            <thead>
            <tr>
                <th>Date</th>
                <th>Type</th>
                <th>Name</th>
                <th>Device</th>
                <th>IP Address</th>
                <th>Location</th>
                <th>IP Address</th>
            </tr>
            </thead>
          
        </table>
    </div>
</div>

<!--Bootstrap Tables-->

<script>
    documentReady(function() {
         datatableObj=$('#data-table').DataTable({
            stateSave : true,
            ajax: {
                url:'{{route("admin/log/list")}}',
                 method: 'post',
                  data: {
                    '_token': CSRF_TOKEN
                },
                dataSrc:'data',
            },
            columns:[
                
                {data: "created_at",responsivePriority: 5},
                {data: "type",responsivePriority: 4},
                {data: "first_name",responsivePriority: 4},
                {data: "device",responsivePriority: 4,sortable:false},
                {data: "ip",responsivePriority: 4,sortable:false},
                {data: "location",responsivePriority: 3,sortable:false},
                {data: "ip",responsivePriority: 4,sortable:false},
              
            ],
            responsive: true,
            serverSide:true,
            "order": [[ 0, "desc" ]]
        });
    });
</script>
@endsection