@extends('admin.layouts.main')
@section('title')
Page
@endsection
@section('content')
<section class="content-header">
    <div class="form-group">
        <div class="row">
            <div class="col-sm-6 pl-0">
            <h1>Pages</h1>
            </div>
            <div class="col-sm-6 pr-0">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Page</li>
            </ol>
            </div>
        </div>
    </div>
</section>

<div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
            Pages
        </h3>
    </div>
    <div class="card-body">
        <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
            <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Action</th>
            </tr>
            </thead>
          
        </table>
    </div>
</div>

<!--Bootstrap Tables-->

<script>
    documentReady(function() {
         datatableObj=$('#data-table').DataTable({
            stateSave : true,
            ajax: {
                url:'{{route("admin/page/list")}}',
                dataSrc:'data',
                  data: {
                    '_token': CSRF_TOKEN
                }
            },
            columns:[
                
                {data: "id",responsivePriority: 6},//,visible:false
                {data: "title",responsivePriority: 6},//,visible:false
                {data: "action",bSortable: false,responsivePriority: 2}
            ],
             drawCallback:function(){
                router.checkLinks();
            },
            responsive: true,
            serverSide:true,
            "order": [[ 0, "desc" ]]
        });
    });
</script>
@endsection