@extends('layouts.main')
@section('title')
Blogs
@endsection
@section('content')
<!-- ============================ Page Title Start================================== -->
<div class="page-title">
	<div class="container">
		<div class="row">
			<div class="col-lg-12 col-md-12">
				<h2 class="ipt-title">Our Articles</h2>
				<span class="ipn-subtitle">See Our Latest Articles & News</span>
			</div>
		</div>
	</div>
</div>
<!-- ============================ Page Title End ================================== -->
<!-- ============================ Blog List Start ================================== -->
<section class="gray-simple">

	<div class="container">
		<!-- row Start -->
		<div class="row">
			<!-- Blog Detail -->
			<div class="col-lg-8 col-md-12 col-sm-12 col-12">
				<div class="row">
					<div id="pagination-ajax-container">
					</div>
				</div>
			</div>
			<!-- Single blog Grid -->
			<div class="col-lg-4 col-md-12 col-sm-12 col-12">
				<!-- Searchbard -->
				<div class="single-widgets widget_search">
					<h4 class="title">Search</h4>
					<form class="sidebar-search-form" onsubmit="event.preventDefault();pagination.searchFormSubmit(this)">
						<input type="search" name="search" placeholder="Search..">
						<button type="submit"><i class="fa-solid fa-magnifying-glass"></i></button>
					</form>
				</div>
				<!-- Categories -->
				<div class="single-widgets widget_category">
					<h4 class="title">Categories</h4>
					<ul>
					    @foreach($category as $row)
						<li><a href="blog?cat={{$row->category}}">{{$row->category}}</a></li>
						@endforeach
					</ul>
				</div>
				<!-- Trending Posts -->
				<div class="single-widgets widget_thumb_post">
					<h4 class="title">Trending Posts</h4>
					<ul>
					    @foreach($topArticle as $blogs)
						<li>
							<span class="left">
								<img src="<?= $general->getFileUrl($blogs->image, 3) ?>" alt="" class="">
							</span>
							<span class="right">
								<a class="feed-title" href="blog/view/{{$blogs->slug}}">{{$blogs->title}}</a>
							</span>
						</li>
						@endforeach
					</ul>
				</div>
				<!-- Tags Cloud -->
				<div class="single-widgets widget_tags">
					<h4 class="title">Tags Cloud</h4>
					<ul>
					    @foreach($blogtag as $tag)
						<li><a href="blog?tags={{$tag->title}}">{{$tag->title}}</a></li>
						@endforeach
					</ul>
				</div>
			</div>
		</div>
		<!-- /row -->
	</div>
</section>
<!-- ============================ Blog List End ================================== -->
<script>
	var view = false;
	var pagination = false;
	documentReady(function () {
		view = new View();
		view.init('#pagination-ajax-container');
		pagination = new Pagination();
		pagination.postData.limit = 4;
		pagination.postData.category = '<?= @$catId->id ?>';
		pagination.postData.tag = '<?= @$tagValue ?>';
		pagination.init('blog/list');
	})
</script>

@endsection