<?php if (isset($_GET['partial']) && $_GET['partial']) {
    if (isset($_GET['layout']) && $_GET['layout'] == 'blank') {
?>
        <div id="main-content" data-title="@yield('title') | {{ Config::get('app.name') }}">
            @yield('content')
        </div>
    <?php } else {
        echo 'reload';
    }
} else { ?>
    <!DOCTYPE html>
    <html lang="{{ Config::get('app.locale') }}">

    <head>
        <meta charset="utf-8">
        <base href="{{URL::to('/')}}/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>@yield('title') | {{config('setting.app_name')}}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="theme/plugins/fontawesome-free/css/all.min.css">
        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <link rel="stylesheet" href="theme/dist/css/adminlte.min.css">
        <link rel="stylesheet" href="theme/plugins/sweetalert2/sweetalert2.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
        <link rel="shortcut icon" href="" type="image/x-icon">
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link rel="stylesheet" href="assets/css/common.css">
        <script>
            /*Global variables*/
            var dataTableObj = false;
            var CSRF_TOKEN = "{{ Session::token() }}";
            var documentReadyFunctions = [];

            function documentReady(fn) {
                documentReadyFunctions.push(fn);
            }
        </script>
    </head>

    <body class="hold-transition login-page">
        <div id="main-container" data-layout="blank">
            <div id="main-content" data-title="<?= @$title; ?> | {{config('app.name')}}">
                @yield('content')
            </div>
        </div>

        <script src="theme/plugins/jquery/jquery.min.js"></script>
        <script src="theme/plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="theme/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="theme/dist/js/adminlte.min.js"></script>
        <script src="theme/plugins/sweetalert2/sweetalert2.min.js"></script>
        <script src="theme/plugins/cropper/cropper.min.js"></script>
        <!-- DataTables -->
        <script src="theme/plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="theme/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
        <script src="theme/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
        <script src="theme/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
        <!--Bootstrap Tables-->
        <script src="assets/js/router.js"></script>
        <script src="assets/js/app.js"></script>
    </body>
    </html>
<?php } ?>