@extends('layouts.main')
@section('title')
Profile
@endsection
@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
            <h1>Profile</h1>
            </div>
            <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Profile</li>
            </ol>
            </div>
        </div>
    </div>
</section>

<div class="row">
    <div class="col-md-3">
        <?= view('profile/profile_block'); ?>
    </div>
    
    <div class="col-lg-9 col-xl-9">
        <div class="edit-profile_wrapper">
            <div class="main-card mb-3 card">
                <div class="card-header"><h4>Profile</h4></div>
                <div class="card-body m-0">
                    <form action="profile/save" method="post" class="ajax-form">
                        {{ csrf_field() }}
                        <div class="form-group">
                            <label><b>First Name</b></label>
                            <div class="position-relative">
                                <input type="text" value="{{ $model->first_name }}" name="first_name" class="form-control" id="first_name" placeholder="Enter First Name" required="required">
                            </div>
                        </div>          
                        <div class="form-group">
                            <label><b>Last Name</b></label>
                            <div class="position-relative">
                                <input type="text" value="{{ $model->last_name }}" name="last_name" class="form-control" id="last_name" placeholder="Enter Last Name" required="required">
                            </div>
                        </div>
                        <div class="form-group">
                            <label><b>Email Address</b></label>
                            <div class="position-relative">
                                <input type="email" value="{{ $model->email }}" name="email" class="form-control" id="email" placeholder="Enter Email" required="required">
                            </div>
                        </div>

                        <div class="form-group">
                            <button class="btn btn-primary"  type="submit" >Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    documentReady(function(){
        $('.ajax-form').validate({
            submitHandler: function (form) {
               app.ajaxForm(form);
            }
        })
    });
</script>

@endsection