@extends('layouts.blank')
@section('title')
Register Your Account
@endsection
@section('content')
<div class="register-box">
    <div class="register-logo">
        <b>{{config('setting.app_name')}} | User</b>
    </div>
    <div class="card">
        <div class="card-body register-card-body">
            <p class="login-box-msg">Register a new membership</p>
            {{ view('common/flash_message')}}


            <form action="{{ route('register-process') }}" method="Post">
                <?= csrf_field() ?>
                <div class="input-group mb-3">
                    <input type="text" class="form-control @error('first_name') is-invalid @enderror" name="first_name" placeholder="First Name" value="{{old('first_name')}}">

                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-user"></span>
                        </div>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <input type="text" class="form-control @error('last_name') is-invalid @enderror" name="last_name" placeholder="Last Name" value="{{old('last_name')}}">

                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-user"></span>
                        </div>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <input type="email" class="form-control @error('email') is-invalid @enderror" name="email" placeholder="Email" autocomplete="off" value="{{old('email')}}">

                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-envelope"></span>
                        </div>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <input type="password" id="password" class="form-control @error('password') is-invalid @enderror" name="password" placeholder="Password" autocomplete="off" value="{{old('password')}}">

                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-lock"></span>
                        </div>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <input type="password" id="password-confirm" class="form-control" name="password_confirm" placeholder="Confirm Password" autocomplete="off" value="{{old('password_confirm')}}">
                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-lock"></span>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-12">
                        <div class="icheck-primary">
                            <input type="checkbox" id="agreeTerms" name="terms" value="1" required="required" @if(old('terms')) checked @endif>
                            <label for="agreeTerms">
                                I agree to the<a href="page/terms" target="blank">Terms</a> and <a href="page/privacy" target="blank">Privacy</a>
                            </label>
                        </div>
                    </div>
                    <!-- /.col -->
                    <div class="col-12">
                        {{view('common/recaptcha')}}
                    </div>
                    <div class="col-8">
                    <a href="{{ route('login') }}"> Already a Member?</a>
                    </div>
                    <!-- /.col -->
                    <div class="col-4">
                        <button type="submit" class="btn btn-primary btn-block btn-flat">Register</button>
                    </div>
                </div>

                <!-- /.col -->
        </div>
        </form>
        
    </div>
   
    <!-- /.form-box -->
</div><!-- /.card -->
</div>
<!-- /.register-box -->
@endsection