@extends('layouts.main')
@section('title')
Profile
@endsection
@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Two Factor Varification</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="{{url('dashboard')}}">Dashboard</a></li>
                    <li class="breadcrumb-item active">Two Factor Varification</li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-lg-3 col-xl-3">
        <?= view('profile/profile_block'); ?>
    </div>
    <div class="col-lg-9 col-md-12">
        <div class="edit-profile_wrapper">
            <div class="main-card mb-3 card">
                <div class="card-header">
                    <h4>Two Factor Authentication</h4>
                    <?php if ($user->status_tfa) { ?>
                        <b>Your Account Two Factor Authentication is Enabled</b></br></br>
                        <button data-action="{{route('tfa/disable')}}" onclick="app.ajaxAction(this)" class="btn btn-primary noroute">Disable</button>
                    <?php } else { ?>
                        <b>Your Account Two Factor Authentication is Disabled</b></br></br>
                        <button data-action="{{route('tfa/enable')}}" onclick="app.ajaxAction(this)" class="btn btn-primary noroute">Enable</button>
                    <?php } ?>
                </div>

            </div>

            <div class="card">
                <div class="card-body m-0">
                    <b>Add Two Factor Authentication Email</b></br></br>
                    <form action="{{route('tfa/save')}}" class="ajax-form" method="post">
                        {{ csrf_field() }}
                        <div class="form-group">
                            <input type="email" class="form-control" name="email" id="email" placeholder="Email Address" required>
                        </div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
            <div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
           Two Factor Authentication
        </h3>
        <!-- <a href="note/create" class="btn btn-primary btn-sm float-right">+ create</a> -->
    </div>
    <div class="card-body">
            <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
                <thead>
                    <tr>
                        <th>Email</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($tfa as $tfa_data)
                    <tr>
                        <td>{{$tfa_data->receiver}}</td>
                        <td>
                            @if($tfa_data->status==1)
                            <span class="badge badge-success">Active</span>
                            @else
                            <span class="badge badge-danger">Inactive</span>
                            @endif
                        </td>
                        <td>
                            @if($tfa_data->status != 1)
                            <a href="tfa/verify-status?id=<?= $tfa_data->id ?>" class="btn btn-primary">Verify</a>
                            @endif
                            <button type="button" data-action="{{route('tfa/delete')}}" data-id="<?= $tfa_data->id ?>" onclick="app.confirmAction(this)" class="btn btn-danger">Delete</button>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    documentReady(function() {
        $('.ajax-form').validate({
            submitHandler: function(form) {
                app.ajaxForm(form);
            }
        })
    });
</script>
@endsection