<?php if (isset($_GET['partial']) && $_GET['partial']) {
  if (isset($_GET['layout']) && $_GET['layout'] == 'front') {
?>
    <div>
      <div id="main-content" data-title="<?php echo $__env->yieldContent('title'); ?> | <?php echo e(Config::get('setting.app_name')); ?>">
        <?php echo e(view('common/flash_message')); ?>

        <?php echo $__env->yieldContent('content'); ?>
      </div>
    </div>
  <?php } else {
    echo 'reload';
  }
} else { ?>
  <!DOCTYPE html>
  <html lang="en">

  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Language" content="en">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('setting.app_name')); ?></title>
    <link rel="shortcut icon" href="" type="image/x-icon">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="theme/dist/css/adminlte.min.css">
    <link rel="stylesheet" href="theme/plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="theme/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="theme/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropper/2.3.4/cropper.min.css">
    <link rel="theme/plugins/cropper/cropper.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <script>
      /*Global variables*/
      var dataTableObj = false;
      var CSRF_TOKEN = "<?php echo e(Session::token()); ?>";
      var documentReadyFunctions = [];

      function documentReady(fn) {
        documentReadyFunctions.push(fn);
      }
    </script>
  </head>

  <body class="hold-transition layout-top-nav">
    <div class="wrapper">

      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand-md navbar-light navbar-white">
        <div class="container">
          <a href="" class="navbar-brand">
            <img src="<?php echo e(config('setting.app_logo')); ?>" class="brand-image img-circle elevation-3" style="opacity: .8">
            <span class="brand-text font-weight-light"><?php echo e(Config::get('setting.app_name')); ?></span>
          </a>

          <button class="navbar-toggler order-1" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>

          <div class="collapse navbar-collapse order-3" id="navbarCollapse">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
              <li class="nav-item">
                <a href="index" class="nav-link">Home</a>
              </li>
              <li class="nav-item">
                <a href="contact" class="nav-link">Contact</a>
              </li>
              <li class="nav-item">
                <a href="note" class="nav-link">Notes</a>
              </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
              <?php if (!auth()->guest()) { ?>
                <li clas="nav-item noroute"><a href="profile/update" class="nav-link noroute">Profile</a></li>
                <li clas="nav-item"><a href="logout" class="nav-link noroute">Logout</a></li>
              <?php } else { ?>
                <li clas="nav-item"><a href="login" class="nav-link">Login</a></li>
                <li clas="nav-item"><a href="register" class="nav-link noroute">Register</a></li>
              <?php } ?>
            </ul>
          </div>
      </nav>

      <div class="content-wrapper">
        <?php echo e(view('common/flash_message')); ?>

        <!-- Main content -->
        <section class="content">
          <div class="container">
            <?php echo $__env->yieldContent('content'); ?>
          </div>
        </section>
      </div>

      <footer class="main-footer">
        <strong>Copyright &copy; 2014-<?= date('Y') ?> <a href="">Laravel</a>.</strong> All rights reserved.
        <a href="privacypolicy">Pricacy Plicy</a>
        <a href="terms">Terms & Conditions</a>
      </footer>
    </div>

    <div class="modal fade" id="common-modal">
      <div class="modal-dialog modal-lg">
        <div class="modal-content" id="common-modal-content">

        </div>
      </div>
    </div>

    <script src="theme/plugins/jquery/jquery.min.js"></script>
    <script src="theme/plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="theme/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="theme/dist/js/adminlte.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/0.8.1/cropper.min.js"></script>

    <!-- DataTables -->
    <script src="theme/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="theme/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="theme/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="theme/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
    <!--Bootstrap Tables-->

    <script src="assets/js/router.js"></script>
    <script src="assets/js/app.js"></script>
    <script src="theme/plugins/cropper/cropper.min.js"></script>
  </body>

  </html>
<?php  } ?><?php /**PATH /www/wwwroot/demo/laravel/resources/views/layouts/front.blade.php ENDPATH**/ ?>