<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\SeoMeta;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\URL;
use Illuminate\Support\Facades\Validator;

class SeoController extends Controller
{

    public function sitemap()
    {
        $data = [];
        $data[]=[
            'url'=>URL::to('/'),
            'last_modified'=>date('Y-m-d H:i:A',strtotime('2023-01-01')),
            'change_frequency'=>'monthly',
            'priority'=>1
        ];

        // file_put_contents("sitemap.xml",view('admin/seo/sitemap', [
        //     'data' => $data
        // ]));

        return response()->view('admin/seo/sitemap', [
            'data' => $data
        ])->header('Content-Type', 'text/xml');;
    }

    public function index()
    {
        return view('admin/seo/index');
    }
    public function list(Request $request)
    {
        return response()->json((new SeoMeta())->Seometalist($request->all()));
    }
    public function create()
    {

        return view('admin/seo/create');
    }

    public function update(Request $request)
    {
        $id = $request->id;
        $seometa = SeoMeta::where('id', $id)->first();
        return view('admin/seo/update', compact('seometa'));
    }

    public function save(Request $request)
    { {
            $id = $request->id;
            $validator = Validator::make($request->all(), [
                'title' => 'required',
                'url' => 'required',
                'keyword' => 'required',
                'description' => 'required',
            ]);
            if ($validator->fails()) {
                return response()->json(['status' => 0, 'message' => $this->general->getError($validator)]);
            }
            $model = new SeoMeta();
            if ($id) {
                $model = SeoMeta::find($id);
            } else {
                $model = new SeoMeta();
                $model->created_at = time();
            }
            $model->url = $request['url'];
            $model->title = $request['title'];
            $model->keyword = $request['keyword'];
            $model->description = $request['description'];
            $model->updated_at = time();
            $model->save();
            Cache::forget('seo_meta_' .$model->url);
            if ($id) {
                return response()->json(['status' => 1, 'message' => 'Seo Meta Updated successfully.', 'next' => 'admin/seo/meta']);
            } else {
                return response()->json(['status' => 1, 'message' => 'Seo Meta Created successfully.', 'next' => 'admin/seo/meta']);
            }
        }
    }

    public function delete(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'id' =>  'required',
        ]);
        if ($validator->fails()) {
            return response()->json(['status' => 0, 'message' => 'Somthing went worng.']);
        }
        $model = SeoMeta::find($request->id);
        if ($model) {
            Cache::forget('seo_meta_' .$model->url);
            $model->delete();
            return response()->json(['status' => 1, 'message' => 'Seo Meta Deleted successfully.', 'next' => 'admin/seo/meta']);
        }
    }
}
