<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Response;

class SiteController extends Controller
{

    public function dashboard()
    {   $user = new User();
		$totalUser = $user::get()->count();
		$activeUser = $user->where('status','1')->get()->count();
		$deactiveUser = $user->where('status','0')->get()->count();
		$adminObj=new User();
		$userMonthlyChartData=$adminObj->getUserMonthlyChartData();
		$userYearlyChartData=$adminObj->getUserYearlyChartData();
        return view('admin/site/dashboard',compact('totalUser','activeUser','deactiveUser','userMonthlyChartData'));
    }

    public function login(Request $request)
    {
        if (auth()->check()) {
			if (\Illuminate\Support\Facades\Request::ajax()) {
                return Response::make("unauthorized", 401);
            } else {
                return redirect()->route('admin/dashboard');
            }
        }
		if ($request->cookie('user_remember_token')) {
			if (!$this->general->rateLimit('user_remember_token:' .$this->general->getClientIp())) {
				$adminObj = new User();
				$result = $adminObj->loginByAuthToken($request->cookie('user_remember_token'),$request->header('User-Agent'));
				if ($result['status']) {
					return redirect('admin/dashboard');
				}
			}
		}
        return view('admin/site/login');
    }

    

}
