<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\Page;
use App\Models\Blog;
use App\Models\Room;
use App\Helper\General;
use App\Helper\Pagination;


class FrontController extends Controller
{
    public function index(){
        
        return view('front/index');
    }
    public function room(Request $request){
        
        $room = Room::get();
        $roomlist =(new Room())->listing($request->all());
        return view('room/index',compact('room','roomlist'));
    }
    public function home(){
        $room = DB::table('room')->skip(0)->take(6)->orderBy('id', 'DESC')->get();
        return view('front/home',compact('room'));
    }
    public function room_item(){
        $room = Room::get();
        return view('front/rooms-item',compact('room'));
    }
    
    public function lists(Request $request)
    {
         return view('room/list', ['roomlist' => (new Room())->listing($request->all(),1)]);
    }
    
    public function details(Request $request){
        $room = Room::find($request->input('id'));
        // dd($room);
         if(!$room){
            return redirect('room/index')->withError('error','No data found');
        }
        return view('room/details' ,compact('room'));
        
    }
    
    public function booking(){

        return view('booking/index');
    }
    public function reasonsToBook(){

        return view('front/reason_to_book');
    }
    public function offers(){

        return view('front/offers');
    }
    public function page(Request $request)
	{
	    $slug = $request->slug;
    	$pages = Page::where('slug',$slug)->first();
        $title = $pages->title;
	   	$body = $pages->body;
		return view('front/page',compact('pages','title','body'));
	}
    
    public function privacypolicy()
    {
        return view('front/privacypolicy');
    }
    public function termscondition()
    {
        return view('front/termscondition');
    }
    public function contact()
    {
        return view('front/contact_us');
    }
    
    public function attraction()
    {
        return view('front/attractions');
    }
    
    public function gallery()
    {
        return view('front/gallery');
    }
    
    public function location()
    {
        return view('home/location');
    }
    
    public function review()
    {
        return view('home/review');
    }
    
    
	 public function Postcontact(Request $request)
	{
		if ($request->isMethod('post')) {
			$validationResult = (new General())->validate($request->all(), [
				'contact_name' => 'required',
				'contact_email' => 'required|email',
				'contact_phone' => 'required',
				'contact_message' => 'required',
			]);
			if ($validationResult['status']) {
				$contactdata = [
					'contact_name' => $request->contact_name,
					'contact_email' => $request->contact_email,
					'contact_phone' => $request->contact_phone,
					'contact_message' => $request->contact_message,
				];
				
				$this->general->sendMail(config('setting.admin_email'), 'Contact data | ' . config('setting.app_name'), 'email/contact', $contactdata);
				 return response()->json(['status' => 1, 'message' => 'Submit Request Successfully', 'next' => 'reload']);
			}else{
			      return response()->json(['status' => 0, 'message' => $validationResult['message']]);
			}
		}
	}   
}
