<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Response;

class UserAuth
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @param string|null $guard
     * @return mixed
     */
    
    public function handle($request, Closure $next, $guard = null)
    {
        if (Auth::guest()) {
            if (\Illuminate\Support\Facades\Request::ajax()) {
                return Response::make("unauthorized", 401);
            } else {
                return redirect('login');
            }
        }else{
            if(session('verify_tfa')){
                return redirect('tfa/verify');
            }
        }

        return $next($request);
    }
}
