<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use App\Helper\Pagination;
use App\Helper\General;

class BlogCategory extends Model
{
    protected $table = 'blog_category';
    protected $primaryKey = 'id';
    public $timestamps = false;
    
    
    protected $fillable = [
        'title', 'staus',
    ];
    
    public function listAdmin($postData){
        $category = new BlogCategory();
        $query=DB::table('blog_category')->select('*');
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%';
            $query->where("text",'like',$searchText);
        }

        $result = (new Pagination())->getDataTable($query,$postData);  
        foreach($result['data'] as $key=>$row)
        {
           
            // $result['data'][$key]->updated_at=date(config('setting.date_time_format'),$row->created_at);
            $result['data'][$key]->action=' 
            <a href="admin/blog_category/update?id='.$row->id.'" class="btn btn-info " title="Update"><i class="fa fa-edit"></i></a>
            <button Onclick="app.confirmAction(this);" data-action="admin/blog_category/delete" data-id="'.$row->id.'" class="btn btn-danger" title="Delete"><i class="fa fa-trash"></i></button>';
            $result['data'][$key]->status = $category->getStatusBadge($row->status);
        }
        return $result;
    }
     public function getStatusBadge($status)
    {
        return $status == 1 ? '<span class="badge bg-success">Active</span>' : '<span class="badge bg-danger">Inactive</span>';
    }
}
