<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Helper\Pagination;
use Illuminate\Support\Facades\DB;

class Note extends Model
{
    protected $table = 'note';
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $dateFormat = 'U';

    protected $fillable = [
       'title','user_id', 'note'
    ];

    public function list($postData,$userId){
        $query=DB::table($this->table)->select('*')->where('user_id',$userId);
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%';
            $query->where("title",'like',$searchText);
            $query->orwhere("note",'like',$searchText);
        }

        $result = (new Pagination())->getDataTable($query,$postData);
        foreach($result['data'] as $key=>$row)
        {
           
            $result['data'][$key]->created_at=date('d-m-Y',$row->created_at);
            $result['data'][$key]->action='<a href="note/view?id='.$row->id.'"class="btn btn-info " title="View"><i class="fas fa-eye"></i></a>
            <a href="note/update?id='.$row->id.'" class="btn btn-info " title="Update"><i class="fa fa-edit"></i></a>
            <button Onclick="app.confirmAction(this);" data-action="note/delete" data-id="'.$row->id.'" class="btn btn-danger" title="Delete"><i class="fa fa-trash"></i></button>';
        }
        return $result;
    }
}
