<?php

namespace App\Models;

use App\Helper\Pagination;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class Page extends Model
{
    protected $table = 'page';
    public $timestamps = false;
    protected $fillable = ['slug','title', 'body'];

    public function listAdmin($postData){
        $query=DB::table($this->table);
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%';
            $query->where("title",'like',$searchText);
        }

        $result = (new Pagination())->getDataTable($query,$postData);
        foreach($result['data'] as $key=>$row)
        {
            $result['data'][$key]->action='<a href="page/'.$row->slug.'" class="btn btn-info noroute" title="View"><i class="fa fa-eye"></i></a>&nbsp;<a href="admin/page/update?id='.$row->id.'" class="btn btn-info" title="Update"><i class="fa fa-edit"></i></a>';
        }
        return $result;
    }
    
}
