<?php

namespace App\Models;

use App\Helper\General;
use Illuminate\Database\Eloquent\Model;
use App\Helper\Pagination;
use Illuminate\Support\Facades\DB;

class Room extends Model
{
    protected $table = 'room';
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $dateFormat = 'U';

    protected $fillable = [
        'images','title','description','feature','price','main_image','vist_id'
    ];

    
    public function isAdmin(){
        return $this->type == 1 || $this->type == 0?true:false;
    }

    public function isSuperAdmin(){
        return $this->type == 0?true:false;
    }
     public function list($postData)
    {
        $query = DB::table('room')->select('*');
        /**/
        $searchText = isset($postData['search']['value']) ? $postData['search']['value'] : '';
        if (strlen($searchText) > 2) {
            $query->where("title)", 'like', $searchText);
            $query->orWhere("feature", 'like', $searchText);
        }
        /**/
        $userObj = new Room();
        $result = (new Pagination())->getDataTable($query, $postData);
        foreach ($result['data'] as $key => $row) {
             $imageUrl = (new General())->getFileUrl($row->main_image ,1);
            if($row->main_image) {
                $result['data'][$key]->main_image = '<a href="upload/profile/' . $row->main_image . '" data-toggle="lightbox" data-title="Image" class = "noroute" target = "_blank">
                <img style="width:100px;height:100px" src="'.$imageUrl.'" class="img-fluid mb-2" alt="blog image"></a>';
            }
            $result['data'][$key]->title = $row->title;
            $result['data'][$key]->description = $row->description;
            $result['data'][$key]->price = $row->price;
            $result['data'][$key]->adults = $row->adults;
            $result['data'][$key]->child = $row->child;
            $result['data'][$key]->created_at = date(config('setting.date_format'), $row->created_at);
            $result['data'][$key]->action = '<a href="admin/room/view?id=' . $row->id . '" class="btn btn-info btn-sm" title="View"><i class="fa fa-eye"></i></a>&nbsp;<a href="admin/room/update?id=' . $row->id . '" class="btn btn-info btn-sm" title="Update"><i class="fa fa-edit"></i></a>&nbsp;<button onclick="app.confirmAction(this);" data-action="admin/room/delete" data-id="' . $row->id . '" class="btn btn-danger btn-sm" title="Delete"><i class="fa fa-trash"></i></button>';
        }
        return $result;
    }
    public function listing($postData){
        $postData['limit']=50;
        $query=DB::table($this->table)->select('*');//->where('status',1)
        $searchText = isset($postData['search']) ? $postData['search']: '';
        if (strlen($searchText) > 2) {
            $searchText = '%' . $searchText . '%' . $searchText . '%';
            $query->where("title",'like',$searchText);
        }
        
        return (new Pagination())->getData($query,$postData);
    }
}
