@extends('admin.layouts.main')
@section('title')
Device
@endsection
@section('content')

<section class="content-header">
    <div class="">
        <div class="row mb-2">
            <div class="col-sm-6 pl-0">
            <h1>Device</h1>
            </div>
            <div class="col-sm-6 pr-0">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Device</li>
            </ol>
            </div>
        </div>
    </div>
</section>

<div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
           Device
        </h3>
    </div>
    <div class="card-body">
        <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
            <thead>
            <tr>
                <th>id</th>
                <th>Name</th>
                <th>Email</th>
                <th>Device</th>
                <th>IP Address</th> 
                <th>Location</th>
                <th>Last Activity</th>
                <th>Action</th>
            </tr>
            </thead>
        </table>
    </div>
</div>

<!--Bootstrap Tables-->

<script>
    documentReady(function() {
         datatableObj=$('#data-table').DataTable({
            stateSave : true,
            ajax: {
                url:'{{route("admin/device/list")}}',
                 method: 'post',
                  data: {
                    '_token': CSRF_TOKEN
                },
                dataSrc:'data',

            },
            columns:[
                {data: "id",responsivePriority: 5},
                {data: "first_name",responsivePriority: 4},
                {data: "email",responsivePriority: 4},
                {data: "client",responsivePriority: 4,sortable:false},
                {data: "ip",responsivePriority: 4},
                {data: "location",responsivePriority: 3,sortable:false},
                {data: "last_activity",responsivePriority: 5},
                {data: "action",responsivePriority: 3,sortable:false},
            ],
              drawCallback:function(){
                router.checkLinks();
            },
            responsive: true,
            serverSide:true,
            "order": [[ 5, "desc" ]]
        });
    });
</script>
@endsection