@extends('layouts.blank')
@section('title')
Login with Otp
@endsection
@section('content')
<div class="login-box">
  <div class="login-logo">
    <b>{{config('setting.app_name')}} | Admin</b>
  </div>
  <!-- /.login-logo -->
  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Login with Otp</p>
      {{ view('common/flash_message')}}
      <form action="otp/tfa-process" method="post">
        <?= csrf_field() ?>
        <div class="input-group mb-3" {{$errors->has('otp')?'has-error':''}}>
          <input type="text" name="otp" class="form-control" placeholder="Enter Otp">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>

        <div class="form-group mb-8">
          <button type="submit" class="btn btn-primary btn-block btn-flat">Verify Otp</button>
        </div>
        <div class="row">
          <div class="col-8">
            <a href="{{ route('logout') }}">Logout</a>
          </div>
          <div class="col-4">
            <a href="{{route('otp/tfaResendOtp')}}">Resend OTP</a>
          </div>
        </div>
      </form>
    </div>
    <!-- /.login-card-body -->
  </div>
</div>
<!-- /.login-box -->
@endsection