@extends('admin.layouts.main')
@section('title')
Review
@endsection
@section('content')

<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
            <h1>Review</h1>
            </div>
            <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="admin/dashboard">Dashboard</a></li>
                <li class="breadcrumb-item active">Review</li>
            </ol>
            </div>
        </div>
    </div>
</section>

<div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
            Review
        </h3>
    </div>
    <div class="card-body">
        <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
            <thead>
            <tr>
                <th>Id</th>
                <th>User Name</th>
                <th>Blog Title</th>
                <th>Rating</th>
                <th>Description</th>
                <th>Created at</th>
                <th>Action</th>
            </tr>
            </thead>
          
        </table>
    </div>
</div>

<!--TABLES -->

<!-- DataTables -->
<!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>-->

<link rel="stylesheet" href="https://staging.tribital.in/separated/public/theme/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="https://staging.tribital.in/separated/public/theme/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  
<script src="https://staging.tribital.in/separated/public/theme/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="https://staging.tribital.in/separated/public/theme/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="https://staging.tribital.in/separated/public/theme/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="https://staging.tribital.in/separated/public/theme/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<!--Bootstrap Tables-->

<script>
    $( document ).ready(function() {
        datatableObj=$('#data-table').DataTable({
            stateSave : true,
            ajax: {
                url:'{{route("admin/review/list")}}',
                dataSrc:'data'
            },
            columns:[
                {data: "id",responsivePriority: 6},//,visible:false
                {data: "name",responsivePriority: 1},//,visible:false
                {data: "blog_name",responsivePriority: 1},//,visible:false
                {data: "rating",responsivePriority: 4},
                {data: "reviewDescription",responsivePriority: 4},
                {data: "created_at",responsivePriority: 5},
                {data: "action",bSortable: false,responsivePriority: 2}
            ],
            responsive: true,
            serverSide:true,
            "order": [[ 0, "desc" ]]
        });
    });
</script>

@endsection