@extends('admin.layouts.main')
@section('title')
Room
@endsection
@section('content')

<section class="content-header">
    <div class="">
        <div class="row mb-2">
            <div class="col-sm-6 pl-0">
            <h2>Users</h2>
            </div>
            <div class="col-sm-6 pr-0">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Users</li>
            </ol>
            </div>
        </div>
    </div>
</section>

<div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
            Users
        </h3>
         <a href="admin/user/create" class="btn btn-primary noroute btn-sm float-right">+ create</a>
    </div>
    <div class="card-body">
        <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
            <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Email</th>
                <th>Image</th>
                <th>Country</th>
                <th>status</th>
                <th>created_at</th>
                <th>Action</th>
            </tr>
            </thead>
          
        </table>
    </div>
</div>

<!--Bootstrap Tables-->

<script>
      documentReady(function() {
         datatableObj=$('#data-table').DataTable({
            stateSave : true,
            ajax: {
                url:'{{route("admin/user/list")}}',
                dataSrc:'data'
            },
            columns:[
                {data: "id",responsivePriority: 6},//,visible:false
                {data: "first_name",responsivePriority: 6},//,visible:false
                {data: "email",responsivePriority: 4},
                {data: "image",responsivePriority: 4},
                {data: "country",responsivePriority: 4},
                {data: "status",responsivePriority: 4},
                {data: "created_at",responsivePriority: 5},
                {data: "action",bSortable: false,responsivePriority: 2}
            ],
             drawCallback:function(){
                router.checkLinks();
            },
            responsive: true,
            serverSide:true,
            "order": [[ 0, "desc" ]]
        });
    });
</script>
@endsection