@extends('layouts.main')
@section('title')
Note
@endsection
@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
            <h1>Note</h1>
            </div>
            <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Note</li>
            </ol>
            </div>
        </div>
    </div>
</section>
<div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
            Notes
        </h3>
        <a href="{{route('note/create')}}" class="btn btn-primary btn-sm float-right">+ create</a>
    </div>
    <div class="card-body">
        <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
            <thead>
            <tr>
                <th style="display: none;">Id</th>
                <th>Title</th>
                <th>Note</th>
                <th>Created at</th>
                <th>Action</th>
            </tr>
            </thead>
        </table>
    </div>
</div>
<script>
   documentReady(function() {
         datatableObj=$('#data-table').DataTable({
            stateSave : true,
            ajax: {
                url:'{{route("note/list")}}',
                dataSrc:'data',
                method: 'post',
                data: {
                    '_token': CSRF_TOKEN
                }
            },
            columns:[
                {data: "id",responsivePriority: 6,visible:false},
                {data: "title",responsivePriority: 6},
                {data: "note",responsivePriority: 4},
                {data: "created_at",responsivePriority: 4},
                {data: "action",bSortable: false,responsivePriority: 2}
            ],
            drawCallback:function(){
                router.checkLinks();
            },
            responsive: true,
            serverSide:true,
            "order": [[ 0, "desc" ]]
        });
    });
</script>
@endsection