@extends('layouts.main')
@section('title')
Change password
@endsection
@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
            <h1>Change Password</h1>
            </div>
            <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{url('dashboard')}}">Dashboard</a></li>
                <li class="breadcrumb-item active">Change Password</li>
            </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-lg-3 col-xl-3">
        <?= view('profile/profile_block'); ?>
    </div>
    <div class="col-lg-9 col-xl-9">
        <div class="change-pass_wrapper">
            <div class="main-card mb-3 card">
                <div class="card-header"><h4>Sets New Password</h4></div>
                <div class="card-body m-0">
                    <form action="profile/password-change-process" method="post" class="ajax-form">
                        {{ csrf_field() }}
                        <div class="form-group">
                            <label>Old Password</label>
                            <div class="position-relative">
                                <input type="password" maxlength="32" minlength="6" name="current_password" class="form-control" id="current_password" placeholder="Old Password" required="required">
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Password</label>
                            <div class="position-relative">
                                <input type="password" maxlength="32" minlength="6" name="password" class="form-control" id="password" placeholder="Password" onclick="showPassword('password')" required="required">
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Confirm Password</label>
                            <div class="position-relative">
                                <input type="password" maxlength="32" minlength="6" name="confirm_password" class="form-control" id="confirm_password" placeholder="Confirm Password" required="required">
                            </div>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary" name="button">Change Password</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>
<script type="text/javascript">
    documentReady(function(){
        $('.ajax-form').validate({
            submitHandler: function (form) {
               app.ajaxForm(form);
            }
        })
    });
</script>
@endsection
