@extends('layouts.blank')
@section('title')
Login with Otp
@endsection
@section('content')
<div class="login-box">
  <div class="login-logo">
    <b>Two Factor Authentication</b>
  </div>
  <!-- /.login-logo -->
  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Select Email</p>
      {{ view('common/flash_message')}}
      <form class="ajax-form" action="{{route('tfa/email-otp')}}" method="post">
        <?= csrf_field() ?>
        <div class="mb-3" {{$errors->has('otp')?'has-error':''}}>
          @foreach($tfa as $key => $data)
            <input type="radio" id="{{$key}}" name="email" value="{{$data->receiver}}">&nbsp;
            <label for="html">{{$data->receiver}}</label><br>
          @endforeach
        </div>
        <div class="form-group mb-8">
          <button type="submit" class="btn btn-primary btn-block btn-flat">Submit</button>
        </div>
        <div class="row">
          <div class="col-8">
            <a href="{{ route('logout') }}" class="noroute">Logout</a>
          </div>
        </div>
      </form>
    </div>
    <!-- /.login-card-body -->
  </div>
</div>
<!-- /.login-box -->
<script type="text/javascript">
    documentReady(function() {
        $('.ajax-form').validate({
            submitHandler: function(form) {
                app.ajaxForm(form);
            }
        })
    });
</script>
@endsection