<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
/* User routes =========================================================================== */
Route::get('sitemap.xml', '\App\Http\Controllers\Admin\SeoController@sitemap')->name('sitemap.xml');

Route::group(['middleware' => ['web']], function () {
    // Route::resource('events', 'EventsController');

    Route::get('terms','App\Http\Controllers\FrontController@termscondition')->name('terms');
    Route::get('privacypolicy','App\Http\Controllers\FrontController@privacypolicy')->name('privacypolicy');
    Route::get('/', '\App\Http\Controllers\FrontController@home')->name('home');
    
    //  Route::get('home', '\App\Http\Controllers\FrontController@home')->name('home');
    
    Route::get('page/{slug}', '\App\Http\Controllers\FrontController@page')->name('page');

    
    Route::get('contact','\App\Http\Controllers\FrontController@contact')->name('contact');
    
    Route::get('room','\App\Http\Controllers\FrontController@room')->name('room');
    Route::get('gallery','\App\Http\Controllers\FrontController@gallery')->name('gallery');
    Route::get('location','\App\Http\Controllers\FrontController@location')->name('location');
    Route::get('reviews','\App\Http\Controllers\FrontController@review')->name('reviews');
    
    
    Route::get('rooms-item','\App\Http\Controllers\FrontController@room_item')->name('rooms-item');
    Route::post('room/list','\App\Http\Controllers\FrontController@lists')->name('room/list');
    Route::get('room/details','\App\Http\Controllers\FrontController@details')->name('room/details');
    
    
    
    Route::get('booking','\App\Http\Controllers\FrontController@booking')->name('booking');
    Route::get('reasons-to-book','\App\Http\Controllers\FrontController@reasonsToBook')->name('reasons-to-book');
    Route::get('offers','\App\Http\Controllers\FrontController@offers')->name('offers');
    
    Route::get('attraction','\App\Http\Controllers\FrontController@attraction')->name('attraction');
    
    Route::get('rooms','\App\Http\Controllers\FrontController@rooms')->name('rooms');
     
    Route::post('post-contact-us', '\App\Http\Controllers\FrontController@Postcontact')->name('post-contact-us');

    Route::get('login', '\App\Http\Controllers\SiteController@login')->name('login');
    Route::post('login-process', '\App\Http\Controllers\SiteController@loginProcess')->name('login-process');
    Route::get('logout', '\App\Http\Controllers\SiteController@logout')->name('logout');
    Route::get('register', '\App\Http\Controllers\SiteController@register')->name('register');
    Route::post('register-process', '\App\Http\Controllers\SiteController@registerProcess')->name('register-process');

    Route::get('site/email-verify','\App\Http\Controllers\SiteController@emailVerify')->name('email-verify');
    Route::get('site/resend-email-verification','\App\Http\Controllers\SiteController@resendEmailVerification')->name('resend-email-verification');
    
    Route::get('site/password-forgot', '\App\Http\Controllers\SiteController@passwordForgot')->name('site/password-forgot');
    Route::post('site/password-forgot-process', '\App\Http\Controllers\SiteController@passwordForgotProcess')->name('site/password-forgot-process');
    
    
    Route::get('site/password-reset', '\App\Http\Controllers\SiteController@passwordReset')->name('site/password-reset');
    Route::post('site/password-reset-process', '\App\Http\Controllers\SiteController@passwordResetProcess')->name('site/password-reset-process');
    
    Route::get('blog', '\App\Http\Controllers\BlogController@index')->name('blog');
    Route::post('blog/list', '\App\Http\Controllers\BlogController@list')->name('blog.list');
    Route::get('blog/view/{slug}', '\App\Http\Controllers\BlogController@view')->name('blog/view');
    Route::post('blogreview/save', '\App\Http\Controllers\BlogController@blogReviewsave')
        ->name('blogReviewsave.save');

    Route::get('otp/login','\App\Http\Controllers\SiteController@otpLogin')->name('otp/login');
    Route::post('otp/login-process','\App\Http\Controllers\SiteController@otpLoginProcess')->name('otp/login-process');
    Route::get('otp/check','\App\Http\Controllers\SiteController@otpCheck')->name('otp/check');
    Route::any('otp/process', '\App\Http\Controllers\SiteController@otpProcess')->name('otp/process');

    Route::get('oauth/login/{type}', '\App\Http\Controllers\SiteController@scialLogin')->name('oauth/login');
    Route::get('oauth/callback/{type}', '\App\Http\Controllers\SiteController@socialCallback')->name('oauth/callback');
    
    Route::get('tfa', '\App\Http\Controllers\TfaController@index')->name('tfa');
    Route::post('tfa/enable', '\App\Http\Controllers\TfaController@enable')->name('tfa/enable');
    Route::post('tfa/disable', '\App\Http\Controllers\TfaController@disable')->name('tfa/disable');
    Route::post('tfa/save', '\App\Http\Controllers\TfaController@save')->name('tfa/save');
    Route::get('tfa/verify-status', '\App\Http\Controllers\TfaController@verifyStatus')->name('tfa/verify-status');
    Route::post('tfa/delete', '\App\Http\Controllers\TfaController@delete')->name('tfa/delete');
    
    Route::post('tfa/verify', '\App\Http\Controllers\TfaController@verify')->name('tfa/verify');
    Route::post('tfa/resend', '\App\Http\Controllers\TfaController@resend')->name('tfa/resend');
    Route::post('tfa/otp_resend', '\App\Http\Controllers\TfaController@resandOtp')->name('tfa/otp_resend');
    Route::post('tfa/email-otp', '\App\Http\Controllers\TfaController@sendOtp')->name('tfa/email-otp');
    Route::post('tfa/verify-otp', '\App\Http\Controllers\TfaController@verifyOtp')->name('tfa/verify-otp');
    
    Route::post('tfa/verify-process', '\App\Http\Controllers\TfaController@verifyProcess')->name('tfa/verify-process');
    
    Route::get('/blogs','\App\Http\Controllers\BlogController@index')->name('blogs');
    Route::post('/blogs/list','\App\Http\Controllers\BlogController@list');
    Route::get('/blogs/{slug}','\App\Http\Controllers\BlogController@view')->name('blogs.view');

});

Route::group(['middleware' => ['web', 'user']], function () {
    Route::get('dashboard', '\App\Http\Controllers\SiteController@dashboard')->name('dashboard');
    Route::get('profile/update', '\App\Http\Controllers\ProfileController@update')->name('profile/update');
    Route::post('profile/save', '\App\Http\Controllers\ProfileController@save')->name('profile/save');
    Route::get('profile/image', '\App\Http\Controllers\ProfileController@image')->name('profile/image');
    Route::post('profile/image-save', '\App\Http\Controllers\ProfileController@imageSave')->name('profile/image-save');
    Route::get('profile/password-change', '\App\Http\Controllers\ProfileController@passwordChange')->name('profile/password-change');
    Route::post('profile/password-change-process', '\App\Http\Controllers\ProfileController@changePasswordProcess')->name('profile/password-change-process');
    Route::any('profile/logout','\App\Http\Controllers\ProfileController@logout')->name('profile/logout');
    
    Route::get('device','\App\Http\Controllers\DeviceController@index')->name('device');
    Route::any('device/list', '\App\Http\Controllers\DeviceController@list')->name('device/list');
    Route::any('device/logout', '\App\Http\Controllers\DeviceController@logout')->name('device/logout');
    
    Route::get('log', '\App\Http\Controllers\LogController@index')->name('log');
    Route::any('log/list', '\App\Http\Controllers\LogController@logList')->name('log/list');

    Route::get('note', '\App\Http\Controllers\NoteController@index')->name('note');
    Route::post('note/list', '\App\Http\Controllers\NoteController@list')->name('note/list');
    Route::get('note/create', '\App\Http\Controllers\NoteController@create')->name('note/create');
    Route::get('note/update', '\App\Http\Controllers\NoteController@update')->name('note/update');
    Route::post('note/save', '\App\Http\Controllers\NoteController@save')->name('note/save');
    Route::post('note/delete', '\App\Http\Controllers\NoteController@delete')->name('note/delete');
    Route::get('note/view', '\App\Http\Controllers\NoteController@view')->name('note/view');

});


/* Admin routes =========================================================================== */
Route::group(['prefix' => 'admin','middleware' => 'web'], function () {
    Route::get('site/login', '\App\Http\Controllers\Admin\SiteController@login')->name('admin/site/login');
});
    

Route::group(['prefix' => 'admin','middleware' => ['web', 'admin']], function () {
    
    Route::get('dashboard', '\App\Http\Controllers\Admin\SiteController@dashboard')->name('admin/dashboard');
    Route::get('dashboard/index', '\App\Http\Controllers\Admin\SiteController@index')->name('admin/dashboard/index');

    Route::get('profile/update', '\App\Http\Controllers\Admin\ProfileController@update')->name('admin/profile/update');
    Route::post('profile/save', '\App\Http\Controllers\Admin\ProfileController@save')->name('admin/profile/save');
    Route::get('profile/image', '\App\Http\Controllers\Admin\ProfileController@image')->name('admin/profile/image');
    Route::post('profile/image-save', '\App\Http\Controllers\Admin\ProfileController@imageSave')->name('admin/profile/image-save');
    Route::get('profile/password-change', '\App\Http\Controllers\Admin\ProfileController@passwordChange')->name('admin/profile/password-change');
    Route::post('profile/password-change-process', '\App\Http\Controllers\Admin\ProfileController@changePasswordProcess')->name('admin/profile/password-change-process');
    
    Route::get('user', '\App\Http\Controllers\Admin\UserController@index')->name('admin/user');
    Route::any('user/list', '\App\Http\Controllers\Admin\UserController@list')->name('admin/user/list');
    Route::get('user/create', '\App\Http\Controllers\Admin\UserController@create')->name('admin/user/create');
    Route::get('user/update', '\App\Http\Controllers\Admin\UserController@update')->name('admin/user/update');
    Route::post('user/save', '\App\Http\Controllers\Admin\UserController@save')->name('admin/user/save');
    Route::get('user/view', '\App\Http\Controllers\Admin\UserController@view')->name('admin/user/view');
    Route::post('user/delete', '\App\Http\Controllers\Admin\UserController@delete')->name('admin/user/delete');

    Route::get('page', '\App\Http\Controllers\Admin\PageController@index')->name('admin/page');
    Route::get('page/list', '\App\Http\Controllers\Admin\PageController@list')->name('admin/page/list');
    Route::get('page/update', '\App\Http\Controllers\Admin\PageController@update')->name('admin/page/update');
    Route::post('page/save', '\App\Http\Controllers\Admin\PageController@save')->name('admin/page/save');

    Route::get('setting/update', '\App\Http\Controllers\Admin\SettingController@update')->name('admin/setting/update');
    Route::post('setting/save', '\App\Http\Controllers\Admin\SettingController@save')->name('admin/setting/save');
    Route::post('setting/save-file', '\App\Http\Controllers\Admin\SettingController@saveFile')->name('admin/setting/save-file');
    Route::post('setting/smtp-save', '\App\Http\Controllers\Admin\SettingController@smtp')->name('admin/setting/smtp-save');
    Route::get('setting/cache-clear', '\App\Http\Controllers\Admin\SettingController@cacheClear')->name('admin/setting/cache-clear');
    Route::post('setting/captcha', '\App\Http\Controllers\Admin\SettingController@captcha')->name('admin/setting/captcha');
    Route::post('setting/social', '\App\Http\Controllers\Admin\SettingController@social')->name('admin/setting/social');
    Route::post('setting/content', '\App\Http\Controllers\Admin\SettingController@content')->name('admin/setting/content');
    Route::post('setting/payment', '\App\Http\Controllers\Admin\SettingController@payment')->name('admin/setting/payment');
    
    Route::get('log', '\App\Http\Controllers\Admin\LogController@index')->name('admin/log');
    Route::post('log/list', '\App\Http\Controllers\Admin\LogController@list')->name('admin/log/list');
    
    Route::get('device', '\App\Http\Controllers\Admin\DeviceController@index')->name('admin/device');
    Route::any('device/logout','\App\Http\Controllers\Admin\DeviceController@logout')->name('admin/device/logout');
    Route::post('device/list', '\App\Http\Controllers\Admin\DeviceController@list')->name('admin/device/list');
    
    Route::get('review/index','\App\Http\Controllers\Admin\ReviewController@index')->name('admin/review/index');
    Route::get('/admin/review/list','\App\Http\Controllers\Admin\ReviewController@list')->name('admin/review/list');
    Route::get('review/view','\App\Http\Controllers\Admin\ReviewController@view')->name('admin/review/view');
    Route::get('review/update','\App\Http\Controllers\Admin\ReviewController@update')->name('admin/review/update');
    Route::post('review/update','\App\Http\Controllers\Admin\ReviewController@update')->name('admin/review/update');
    Route::post('review/save','\App\Http\Controllers\Admin\ReviewController@save')->name('admin/review/save');
    Route::post('review/delete','\App\Http\Controllers\Admin\ReviewController@delete')->name('admin/review/delete');
    
    /* Blog_category */
    Route::get('/blog/index','\App\Http\Controllers\Admin\BlogController@index')->name('admin/blog/index');
    Route::get('admin/blog/list', '\App\Http\Controllers\Admin\BlogController@list')->name('admin/blog/list');
    Route::get('blog/create', '\App\Http\Controllers\Admin\BlogController@create')->name('admin/blog/create');
    Route::get('blog/update/{id}', '\App\Http\Controllers\Admin\BlogController@update')->name('admin/blog/update');
    Route::get('blog/view','\App\Http\Controllers\Admin\BlogController@view')->name('admin/blog/view');
    Route::post('blog/save', '\App\Http\Controllers\Admin\BlogController@save')->name('admin/blog/save');
    Route::post('blog/delete','\App\Http\Controllers\Admin\BlogController@delete')->name('admin/blog/delete');

    Route::get('/blog_category/index','\App\Http\Controllers\Admin\BlogCategoryController@index')->name('admin/blog_category/index');
    Route::get('/blog_category/list','\App\Http\Controllers\Admin\BlogCategoryController@list')->name('admin/blog_category/list');
    Route::get('blog_category/create','\App\Http\Controllers\Admin\BlogCategoryController@create')->name('admin/blog_category/create');
    Route::post('blog_category/save','\App\Http\Controllers\Admin\BlogCategoryController@save')->name('admin/blog_category/save');
    Route::get('blog_category/update','\App\Http\Controllers\Admin\BlogCategoryController@update')->name('admin/blog_category/update');
    Route::post('blog_category/delete','\App\Http\Controllers\Admin\BlogCategoryController@delete')->name('admin/blog_category.delete');
     
    
    Route::get('admin', '\App\Http\Controllers\Admin\AdminController@index')->name('admin/admin');
    Route::post('admin/list', '\App\Http\Controllers\Admin\AdminController@list')->name('admin/admin/list');
	Route::get('admin/create', '\App\Http\Controllers\Admin\AdminController@create')->name('admin/admin/create');
	Route::get('admin/update', '\App\Http\Controllers\Admin\AdminController@update')->name('admin/admin/update');
	Route::post('admin/save', '\App\Http\Controllers\Admin\AdminController@save')->name('admin/admin/save');
	Route::get('admin/view', '\App\Http\Controllers\Admin\AdminController@view')->name('admin/admin/view');
	Route::post('admin/delete', '\App\Http\Controllers\Admin\AdminController@delete')->name('admin/admin/delete');
	Route::post('admin/status-save', '\App\Http\Controllers\Admin\AdminController@statusSave')->name('admin/admin/status-save');
	
	Route::get('seo/meta', '\App\Http\Controllers\Admin\SeoController@index')->name('admin/seo/meta');
	Route::post('seo/list', '\App\Http\Controllers\Admin\SeoController@list')->name('admin/seo/list');
	Route::get('seo/create', '\App\Http\Controllers\Admin\SeoController@create')->name('admin/seo/create');
	Route::get('seo/update', '\App\Http\Controllers\Admin\SeoController@update')->name('admin/seo/update');
	Route::post('seo/save', '\App\Http\Controllers\Admin\SeoController@save')->name('admin/seo/save');
	Route::post('seo/delete', '\App\Http\Controllers\Admin\SeoController@delete')->name('admin/seo/delete');
	
	Route::get('room', '\App\Http\Controllers\Admin\RoomController@index')->name('admin/room');
    Route::any('room/list', '\App\Http\Controllers\Admin\RoomController@list')->name('admin/room/list');
    Route::get('room/create', '\App\Http\Controllers\Admin\RoomController@create')->name('admin/room/create');
    Route::get('room/update', '\App\Http\Controllers\Admin\RoomController@update')->name('admin/room/update');
    Route::post('room/save', '\App\Http\Controllers\Admin\RoomController@save')->name('admin/room/save');
    Route::get('room/view', '\App\Http\Controllers\Admin\RoomController@view')->name('admin/room/view');
    Route::any('room/delete', '\App\Http\Controllers\Admin\RoomController@delete')->name('admin/room/delete');
    
});
