<?php

if (isset($_GET['partial']) && $_GET['partial']) {
  if (isset($_GET['layout']) && $_GET['layout'] == 'main') {
?>
    <div>
      <div id="main-content" data-title="<?php echo $__env->yieldContent('title'); ?> | <?php echo e(Config::get('setting.app_name')); ?>">
        <?php echo e(view('common/flash_message')); ?>

        <?php echo $__env->yieldContent('content'); ?>
      </div>
    </div>
    <?php echo $__env->yieldContent('footer_content'); ?>
  <?php } else {
    echo 'reload';
  }
} else {
  $sessionAdmin = auth()->user();
  ?>

  <!DOCTYPE html>
  <html lang="<?php echo e(Config::get('app.locale')); ?>">

  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Language" content="en">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
    <base href="<?php echo e(URL::to('/')); ?>/">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('setting.app_name')); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, shrink-to-fit=no" />
    <meta name="description" content="<?php echo $__env->yieldContent('meta_description'); ?>">
    <meta name="keywords" content="<?php echo $__env->yieldContent('meta_keyword'); ?>">
    <link rel="shortcut icon" href="<?php echo e($general->getFileUrl(config('setting.app_fevicon'),2)); ?>" type="image/x-icon">
    <?php echo csrf_field(); ?>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="theme/dist/css/adminlte.min.css">
    <link rel="stylesheet" href="assets/css/common.css">
    <link rel="stylesheet" href="theme/plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="theme/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropper/2.3.4/cropper.min.css">
    <link rel="stylesheet" href="theme/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="theme/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">

    <script>
      /*Global variables*/
      var dataTableObj = false;
      var CSRF_NAME = '_token';
      var CSRF_TOKEN = "<?php echo e(Session::token()); ?>";
      var documentReadyFunctions = [];

      function documentReady(fn) {
        documentReadyFunctions.push(fn);
      }
    </script>
  </head>

  <body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed <?= (isset($_COOKIE['dark_mode']) && $_COOKIE['dark_mode']) ? 'dark-mode' : ''; ?>">
    <div class="wrapper">
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" role="button"><i class="fas fa-bars dark"></i></a>
          </li>

        </ul>
        <ul class="navbar-nav ml-auto">
          <?php if (!auth()->guest()) { ?>
            <li class="nav-item">
              <div class="nav-link" data-widget="control-sidebar" data-controlsidebar-slide="true" role="button" onclick="setDarkMode(this)">
                <i class="fa <?= (isset($_COOKIE['dark_mode']) && $_COOKIE['dark_mode']) ? 'fa-moon' : 'fa-sun'; ?>"></i>
            </li>
          <?php } ?>
        </ul>
      </nav>

      <aside class="main-sidebar sidebar-dark-primary">
        <!-- Brand Logo -->
        <a class="brand-link">
          <img src="<?php echo e($general->getFileUrl(config('setting.app_logo'),2)); ?>" class="brand-image img-circle elevation-3 preview-app-logo" style="opacity: .8">
          <span class="brand-text font-weight-light"><?php echo e(Config::get('setting.app_name')); ?></span>
        </a>
        <!-- Sidebar -->
        <!--<div class="sidebar">-->

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user panel (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img src="<?php echo e($general->getFileUrl($sessionAdmin->image)); ?>" class="img-circle elevation-2" alt="Admin Image">
            </div>
            <div class="info">
              <a href="<?php echo e(route('profile/update')); ?>" class="d-block noroute" target="_blank"><?= $sessionAdmin['first_name'] . ' ' . $sessionAdmin['last_name'] ?></a>
            </div>
          </div>
          <div class="input-group" data-widget="sidebar-search">
            <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
            <div class="input-group-append">
              <button class="btn btn-sidebar">
                <i class="fas fa-search fa-fw"></i>
              </button>
            </div>
          </div>
          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">

              <li class="nav-item">
                <a href="<?php echo e(route('admin/dashboard')); ?>" class="nav-link">
                  <i class="fa fa-tachometer-alt nav-icon"></i>
                  <p> Dashboard</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('admin/user')); ?>" class="nav-link">
                  <i class="fa fa-user nav-icon"></i>
                  <p> Users</p>
                </a>
              </li>
              <li class="nav-header">Setting</li>
              <li class="nav-item">
                <a href="<?php echo e(route('admin/setting/update')); ?>" class="nav-link">
                  <i class="fa fa-cog nav-icon"></i>
                  <p> Setting</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('admin/page')); ?>" class="nav-link">
                  <i class="fa fa-file-alt nav-icon"></i>
                  <p>Pages</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('admin/seo/meta')); ?>" class="nav-link">
                  <i class="fa fa-file-alt nav-icon"></i>
                  <p>Seo Meta</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('admin/admin')); ?>" class="nav-link">
                  <i class="fa fa-at nav-icon"></i>
                  <p> Admin</p>
                </a>
              </li>
              <?php if (config('setting.save_user_device')) { ?>
                <li class="nav-item">
                  <a href="<?php echo e(route('admin/device')); ?>" class="nav-link">
                    <i class="fas fa-desktop nav-icon"></i>
                    <p> Devices</p>
                  </a>
                </li>
                <?php } ?>
                <?php if (config('setting.save_user_log')) { ?>
                <li class="nav-item">
                  <a href="<?php echo e(route('admin/log')); ?>" class="nav-link">
                    <i class="fas fa-desktop nav-icon"></i>
                    <p> Logs</p>
                  </a>
                </li>
                <?php } ?>
              <li class="nav-header">Blog</li>
              <li class="nav-item">
                <a href="admin/blog/index" class="nav-link <?php echo e(Request::is('admin/blog/index') || Request::is('admin/blog/view') || Request::is('admin/blog/update') || Request::is('admin/blog/create') ? 'active' : ''); ?>">
                  <i class="nav-icon fas fa-blog"></i>
                  <p>Blog</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('admin/blog_category/index')); ?>" class="nav-link ">
                  <i class="nav-icon fas fa-list-alt"></i>
                  <p>Blog Category</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('logout')); ?>" class="nav-link noroute">
                  <i class="fa fa-sign-out-alt nav-icon"></i>
                  <p> Logout</p>
                </a>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>
      <!-- /.navbar -->
      <div class="content-wrapper">
        <section class="content">
          <div class="container-fluid" id="main-container" data-layout="main">
            <div id="main-content" data-title="<?php echo $__env->yieldContent('title'); ?> | <?php echo e(Config::get('setting.app_name')); ?>">
              <?php echo e(view('common/flash_message')); ?>

              <?php echo $__env->yieldContent('content'); ?>
            </div>
          </div>
        </section>
      </div>
    </div>

    <div class="modal fade" id="common-modal">
      <div class="modal-dialog modal-lg">
        <div class="modal-content" id="common-modal-content">
        </div>
      </div>
    </div>

    <?php echo $__env->yieldContent('footer_content'); ?>

    <script src="theme/plugins/jquery/jquery.min.js"></script>
    <script src="theme/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="theme/plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="theme/dist/js/adminlte.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>

    <!-- DataTables -->
    <script src="theme/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="theme/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="theme/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="theme/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
    <!--Bootstrap Tables-->
    <script src="assets/js/router.js"></script>
    <script src="assets/js/app.js"></script>
    <script src="ckeditor/ckeditor.js"></script>
    <script>
      documentReady(function() {
        if (!app.getCookie('dark_mode')) {
          app.setCookie('dark_mode', 0, 365);
        }
      })
    </script>
  </body>

  </html>
<?php } ?><?php /**PATH /www/wwwroot/demo/laravel/resources/views/admin/layouts/main.blade.php ENDPATH**/ ?>