<?php $__env->startSection('title'); ?>
Profile
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Two Factor Varification</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('dashboard')); ?>">Dashboard</a></li>
                    <li class="breadcrumb-item active">Two Factor Varification</li>
                </ol>
            </div>
        </div>
    </div>
</section>
<div class="row">
    <div class="col-lg-3 col-xl-3">
        <?= view('profile/profile_block'); ?>
    </div>
    <div class="col-lg-9 col-md-12">
        <div class="edit-profile_wrapper">
            <div class="main-card mb-3 card">
                <div class="card-header">
                    <h4>Two Factor Authentication</h4>
                    <?php if ($user->status_tfa) { ?>
                        <b>Your Account Two Factor Authentication is Enabled</b></br></br>
                        <button data-action="<?php echo e(route('tfa/disable')); ?>" onclick="app.ajaxAction(this)" class="btn btn-primary noroute">Disable</button>
                    <?php } else { ?>
                        <b>Your Account Two Factor Authentication is Disabled</b></br></br>
                        <button data-action="<?php echo e(route('tfa/enable')); ?>" onclick="app.ajaxAction(this)" class="btn btn-primary noroute">Enable</button>
                    <?php } ?>
                </div>

            </div>

            <div class="card">
                <div class="card-body m-0">
                    <b>Add Two Factor Authentication Email</b></br></br>
                    <form action="<?php echo e(route('tfa/save')); ?>" class="ajax-form" method="post">
                        <?php echo e(csrf_field()); ?>

                        <div class="form-group">
                            <input type="email" class="form-control" name="email" id="email" placeholder="Email Address" required>
                        </div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
            <div class="card card-default color-palette-box">
    <div class="card-header">
        <h3 class="card-title">
           Two Factor Authentication
        </h3>
        <!-- <a href="note/create" class="btn btn-primary btn-sm float-right">+ create</a> -->
    </div>
    <div class="card-body">
            <table style="width: 100%;" id="data-table" class="table table-hover table-striped table-bordered">
                <thead>
                    <tr>
                        <th>Email</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $tfa; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tfa_data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($tfa_data->receiver); ?></td>
                        <td>
                            <?php if($tfa_data->status==1): ?>
                            <span class="badge badge-success">Active</span>
                            <?php else: ?>
                            <span class="badge badge-danger">Inactive</span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if($tfa_data->status != 1): ?>
                            <a href="tfa/verify-status?id=<?= $tfa_data->id ?>" class="btn btn-primary">Verify</a>
                            <?php endif; ?>
                            <button type="button" data-action="<?php echo e(route('tfa/delete')); ?>" data-id="<?= $tfa_data->id ?>" onclick="app.confirmAction(this)" class="btn btn-danger">Delete</button>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    documentReady(function() {
        $('.ajax-form').validate({
            submitHandler: function(form) {
                app.ajaxForm(form);
            }
        })
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /www/wwwroot/demo/laravel/resources/views/tfa/index.blade.php ENDPATH**/ ?>