<?php 
$metaTags = $general->getMetaTags();
if (isset($_GET['partial']) && $_GET['partial']) {
    if (isset($_GET['layout']) && $_GET['layout'] == 'main') {
?>
<?php if($metaTags['title'] ): ?>
<div id="main-content" data-title="<?php echo e($metaTags['title']); ?>">
<?php else: ?>
<div id="main-content" data-title="<?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('setting.app_name')); ?>">
<?php endif; ?>
    <?php echo e(view('common/flash_message')); ?>

    <?php echo $__env->yieldContent('content'); ?>
</div>
    <?php } else {
        echo 'reload';
    }
} else {
    $sessionUser = auth()->user();
    ?>
    <!DOCTYPE html>
    <html lang="<?php echo e(Config::get('app.locale')); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta http-equiv="Content-Language" content="en">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
        <base href="<?php echo e(URL::to('/')); ?>/">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, shrink-to-fit=no" />
        <?php if($metaTags['html']): ?>
        <?php echo $metaTags['html']; ?>

        <?php else: ?>
        <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('setting.app_name')); ?></title>
        <?php endif; ?>
        <link rel="shortcut icon" href="<?php echo e($general->getFileUrl(config('setting.app_fevicon'),2)); ?>" type="image/x-icon">
        <?php echo csrf_field(); ?>
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link rel="stylesheet" href="theme/dist/css/adminlte.min.css">
        <link rel="stylesheet" href="assets/css/common.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropper/2.3.4/cropper.min.css">
        <link rel="stylesheet" href="theme/plugins/fontawesome-free/css/all.min.css">

        <link rel="stylesheet" href="theme/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
        <link rel="stylesheet" href="theme/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
        <link rel="stylesheet" href="theme/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
        <script>
            /*Global variables*/
            var dataTableObj = false;
            var CSRF_NAME = '_token';
            var CSRF_TOKEN = "<?php echo e(Session::token()); ?>";
            var documentReadyFunctions = [];

            function documentReady(fn) {
                documentReadyFunctions.push(fn);
            }
        </script>

        <?php echo config('setting.header_content'); ?>

    </head>

    <body class="hold-transition layout-top-nav <?= (isset($_COOKIE['dark_mode']) && $_COOKIE['dark_mode']) ? 'dark-mode' : ''; ?>">
        <div class="wrapper">

            <!-- Navbar -->
            <nav class="main-header navbar navbar-expand-md">
                <div class="container">
                    <a  class="navbar-brand">
                        <img src="<?php echo e($general->getFileUrl(config('setting.app_fevicon'),2)); ?>" class="brand-image img-circle " style="">
                        <span class="brand-text font-weight-light"> <?php echo e(config('setting.app_name')); ?> </span>
                    </a>

                    <button class="navbar-toggler order-1" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse order-3" id="navbarCollapse">
                        <!-- Left navbar links -->
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a href="" class="nav-link">Home</a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('contact')); ?>" class="nav-link">Contact</a>
                            </li>
                            <?php if (!auth()->guest()) { ?>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('note')); ?>" class="nav-link">Notes</a>
                                </li>
                            <?php } ?>
                            <li class="nav-item">
                                <a href="<?php echo e(route('blogs')); ?>" class="nav-link">Blogs</a>
                            </li>
                        </ul>

                        <!-- Right navbar links -->
                        <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
                            <?php if (!auth()->guest()) { ?>
                                <li class="nav-item" style="margin-top:10px">
                                    <div onclick="setDarkMode(this)">
                                        <i class="fas <?= (isset($_COOKIE['dark_mode']) && $_COOKIE['dark_mode']) ? 'fa-moon' : 'fa-sun'; ?>"></i>
                                    </div>
                                </li>
                                
                                <li clas="nav-item"><a href="<?php echo e(route('profile/update')); ?>" class="nav-link noroute">Profile</a></li>
                                <li clas="nav-item"><a href="<?php echo e(route('logout')); ?>" class="nav-link noroute">Logout</a></li>
                            <?php } else { ?>
                                <li clas="nav-item"><a href="<?php echo e(route('login')); ?>" class="nav-link">Login</a></li>
                                <li clas="nav-item"><a href="<?php echo e(route('register')); ?>" class="nav-link">Register</a></li>
                            <?php } ?>
                        </ul>
                    </div>
            </nav>

            <div class="content-wrapper">
                <section class="content">
                    <div class="container" id="main-container" data-layout="main">
                        <?php if($metaTags['title'] ): ?>
                        <div id="main-content" data-title="<?php echo e($metaTags['title']); ?>">
                        <?php else: ?>
                        <div id="main-content" data-title="<?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('setting.app_name')); ?>">
                        <?php endif; ?>
                            <?php echo e(view('common/flash_message')); ?>

                            <?php echo $__env->yieldContent('content'); ?>
                        </div>
                    </div>
                </section>
            </div>

            
            <center>
                <footer class="main-footer">
                    <strong>Copyright &copy; <?= date('Y') ?> <a href="#"><?php echo e(config::get('setting.app_name')); ?></a>.</strong> All rights reserved.
                    <a href="page/privacy">Privacy Policy</a>
                    And
                    <a href="page/terms">Terms & Conditions</a>
                </footer>
            </center>
        </div>

        <div class="modal fade" id="common-modal" data-backdrop="static" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog " role="document">
                <div class="modal-content" id="common-modal-content">
                </div>
            </div>
        </div>
        
        <script src="theme/plugins/jquery/jquery.min.js"></script>
        <script src="theme/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="theme/plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="theme/dist/js/adminlte.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/0.8.1/cropper.min.js"></script>
        <!-- DataTables -->
        <script src="theme/plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="theme/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
        <script src="theme/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
        <script src="theme/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
        <!--Bootstrap Tables-->

        <script src="assets/js/app.js"></script>
        <script src="assets/js/router.js"></script>

        <script>
            documentReady(function() {
                $('body').addClass($('body').data('class'));
                if (!app.getCookie('dark_mode')) {
                    app.setCookie('dark_mode', 0, 365);
                }
            })
        </script>

        <?php echo config('setting.footer_content'); ?>

    </body>

    </html>
<?php } ?><?php /**PATH /www/wwwroot/demo/laravel/resources/views/layouts/main.blade.php ENDPATH**/ ?>